Last Comment Bug 1228019 - Crash on share menu access
: Crash on share menu access
Status: RESOLVED FIXED
: crash, regression, reproducible
Product: Firefox for iOS
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All iOS
-- critical
: 1.3
Assigned To: James Hugman [:jhugman] [@jhugman]
:
: Stefan Arentz [:st3fan]
Mentors:
Depends on:
Blocks: 1227506
  Show dependency treegraph
 
Reported: 2015-11-25 08:57 PST by Aaron Train [:aaronmt]
Modified: 2016-01-21 20:25 PST (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
1.3+


Attachments
Pull request (48 bytes, text/x-github-pull-request)
2015-11-25 13:33 PST, James Hugman [:jhugman] [@jhugman]
sleroux: review+
Details | Review | Splinter Review

Description User image Aaron Train [:aaronmt] 2015-11-25 08:57:30 PST
Build 24dfac4dd89ffb0433730125c381afbdcad71ba3

Launch browser, visit a site, tap the share menu

2015-11-25 11:54:45.292 Client[27070:16325259] -canOpenURL: failed for URL: "org-appextension-feature-password-management://" - error: "(null)"
2015-11-25 11:54:45.905 Client[27070:16325259] *** Terminating app due to uncaught exception 'NSInvalidArgumentException', reason: 'Application tried to present modally an active controller <Client.BrowserViewController: 0x7fb2d400e800>.'
*** First throw call stack:
(
	0   CoreFoundation                      0x000000010bfd5f45 __exceptionPreprocess + 165
	1   libobjc.A.dylib                     0x000000010b2f3deb objc_exception_throw + 48
	2   UIKit                               0x000000010ce69e45 -[UIViewController _presentViewController:withAnimationController:completion:] + 5167
	3   UIKit                               0x000000010d6c1581 -[_UIViewControllerTransitionCoordinator _applyBlocks:releaseBlocks:] + 300
	4   UIKit                               0x000000010d6bdde1 -[_UIViewControllerTransitionContext _runAlongsideCompletions] + 149
	5   UIKit                               0x000000010d6bdb34 -[_UIViewControllerTransitionContext completeTransition:] + 117
	6   UIKit                               0x000000010cd6eace -[UIViewAnimationBlockDelegate _didEndBlockAnimation:finished:context:] + 644
	7   UIKit                               0x000000010cd4c9df -[UIViewAnimationState sendDelegateAnimationDidStop:finished:] + 241
	8   UIKit                               0x000000010cd4cd8e -[UIViewAnimationState animationDidStop:finished:] + 80
	9   QuartzCore                          0x000000010cac4fa0 _ZN2CA5Layer23run_animation_callbacksEPv + 308
	10  libdispatch.dylib                   0x000000010f9b849b _dispatch_client_callout + 8
	11  libdispatch.dylib                   0x000000010f9a02af _dispatch_main_queue_callback_4CF + 1738
	12  CoreFoundation                      0x000000010bf362e9 __CFRUNLOOP_IS_SERVICING_THE_MAIN_DISPATCH_QUEUE__ + 9
	13  CoreFoundation                      0x000000010bef78a9 __CFRunLoopRun + 2073
	14  CoreFoundation                      0x000000010bef6e08 CFRunLoopRunSpecific + 488
	15  GraphicsServices                    0x000000010f336ad2 GSEventRunModal + 161
	16  UIKit                               0x000000010ccc430d UIApplicationMain + 171
	17  Client                              0x000000010971b037 main + 487
	18  libdyld.dylib                       0x000000010f9ec92d start + 1
Comment 3 User image James Hugman [:jhugman] [@jhugman] 2015-11-25 13:33:51 PST
Created attachment 8692150 [details] [review]
Pull request
Comment 4 User image James Hugman [:jhugman] [@jhugman] 2015-11-26 07:23:29 PST
Merged.

Note You need to log in before you can comment on or make changes to this bug.